package com.alibaba.druid.sql.dialect.kingbase.ast;

import com.alibaba.druid.sql.ast.statement.SQLExprTableSource;
import java.util.List;

public class KingbaseValuesTableSource extends SQLExprTableSource {
   private ValueClause clause;
   private List<ValueClause.Item> valueColumns;

   public List<ValueClause.Item> getValueColumns() {
      return this.valueColumns;
   }

   public void setValueColumns(List<ValueClause.Item> valueColumns) {
      this.valueColumns = valueColumns;
   }

   public ValueClause getClause() {
      return this.clause;
   }

   public void setClause(ValueClause clause) {
      this.clause = clause;
   }
}
